import org.junit.Before;
import org.junit.After;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * The test class SortedBufferTest.
 *
 * @author  Uno Holmer
 * @version 2012-09-04
 */
public class SortedBufferTest
{
	private SortedBuffer emptyBuffer;
	private SortedBuffer buffer1full;

    /**
     * Default constructor for test class SortedBufferTest
     */
    public SortedBufferTest()
    {
    }

    /**
     * Sets up the test fixture.
     *
     * Called before every test case method.
     */
    @Before
    public void setUp()
    {
		emptyBuffer = new SortedBuffer(1);
		buffer1full = new SortedBuffer(1);
		buffer1full.insert(123);
	}

    /**
     * Tears down the test fixture.
     *
     * Called after every test case method.
     */
    @After
    public void tearDown()
    {
    }
        
    // Simple cases
    @Test
	public void testInsertEmpty()
	{
		assertEquals(true, emptyBuffer.insert(123));
	}

	@Test
	public void testInsertFull()
	{
		assertEquals(false, buffer1full.insert(456));
	}    
}




























